Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Interface DatabaseCardService.Constants

All Known Implementing Classes:
  BasicDatabase, DataObject

Enclosing interface:
  DatabaseCardService

    public static interface DatabaseCardService.Constants

The `Constants` inner interface allows to use standardized constants.
It provides constants used to deal with database smartcards such as constants which describes SCQL operation or code used to manage SCQL exceptions.

Field Summary
`static byte` | `BEGIN`
`static byte` | `COMMIT`
`static byte` | `CREATE_DICTIONARY`
`static byte` | `CREATE_TABLE`
`static byte` | `CREATE_USER`
`static byte` | `CREATE_VIEW`
`static byte` | `DECLARE_CURSOR`
`static byte` | `DELETE`
`static byte` | `DELETE_USER`
`static byte` | `DROP_TABLE`
`static byte` | `DROP_VIEW`
`static byte` | `EQUAL_TO`
`static byte` | `FETCH`
`static byte` | `FETCH_NEXT`
`static byte` | `GRANT`
`static byte` | `GREATER_THAN`
`static byte` | `GREATER_THAN_OR_EQUAL_TO`
`static byte` | `INSERT`
`static byte` | `LESS_THAN`
`static byte` | `LESS_THAN_OR_EQUAL_TO`
`static byte` | `NEXT`
`static byte` | `NOT_EQUAL_TO`
`static byte` | `OPEN`
`static byte` | `PRESENT_USER`
`static byte` | `PRIV_ALL`
`static byte` | `PRIV_DELETE`
`static byte` | `PRIV_INSERT`
`static byte` | `PRIV_SELECT`
`static byte` | `PRIV_UPDATE`
`static byte` | `REVOKE`
`static byte` | `ROLLBACK`
`static byte` | `SCQL_OPERATION` INS coding constants (SCQL constant to perform SCQL operations such as createTable, createView, grant, revoke ...)
`static byte` | `SW1_CHECK_ERROR`
`static byte` | `SW1_COMMAND_NOT_ALLOWED`
`static byte` | `SW1_EXEC_ERROR`
`static byte` | `SW1_INSTRUCTION_CODE_NOT_SUPPORTED`
`static byte` | `SW1_OK`
`static byte` | `SW1_OK_WITH_RETURN`
`static byte` | `SW1_WARNING`
`static byte` | `SW1_WRONG_LENGTH`
`static byte` | `SW1_WRONG_PARAM`
`static byte` | `SW2_CHECK_ERROR`
`static byte` | `SW2_COMMAND_NOT_ALLOWED`
`static byte` | `SW2_EXEC_ERROR`
`static byte` | `SW2_INCORRECT_PARAM`
`static byte` | `SW2_INSTRUCTION_CODE_NOT_SUPPORTED`
`static byte` | `SW2_MEM_FAILURE`
`static byte` | `SW2_OBJECT_ALREADY_EXISTS`
`static byte` | `SW2_OBJECT_NOT_FOUND`
`static byte` | `SW2_OK`
`static byte` | `SW2_OPERATION_NOT_SUPPORTED`
`static byte` | `SW2_REQUIRED_OPERATION`
`static byte` | `SW2_SECURITY`
`static byte` | `SW2_WARNING`
`static byte` | `SW2_WRONG_PARAM`
`static byte` | `TAG_CH_CERTIFICATE_1`
`static byte` | `TAG_CH_CERTIFICATE_2`
`static byte` | `TAG_CH_NAME_1`
`static byte` | `TAG_CH_NAME_2`
`static byte` | `TRANSACTION_OPERATION`
`static byte` | `UPDATE`
`static byte` | `USER_OPERATION`

Field Detail

### SCQL_OPERATION

    static final byte SCQL_OPERATION

  INS coding constants (SCQL constant to perform SCQL operations such as createTable, createView, grant, revoke ...)

  See Also:
    Constant Field Values

### TRANSACTION_OPERATION

    static final byte TRANSACTION_OPERATION

See Also:
  Constant Field Values

### USER_OPERATION

    static final byte USER_OPERATION

See Also:
  Constant Field Values

### CREATE_TABLE

    static final byte CREATE_TABLE

See Also:
  Constant Field Values

### CREATE_VIEW

    static final byte CREATE_VIEW

See Also:
  Constant Field Values

### CREATE_DICTIONARY

    static final byte CREATE_DICTIONARY

See Also:
  Constant Field Values

### DROP_TABLE

    static final byte DROP_TABLE

See Also:
  Constant Field Values

### DROP_VIEW

    static final byte DROP_VIEW

See Also:
  Constant Field Values

### GRANT

    static final byte GRANT

See Also:
  Constant Field Values

### REVOKE

    static final byte REVOKE

See Also:
  Constant Field Values

### DECLARE_CURSOR

    static final byte DECLARE_CURSOR

See Also:
  Constant Field Values

### OPEN

    static final byte OPEN

See Also:
  Constant Field Values

### NEXT

    static final byte NEXT

See Also:
  Constant Field Values

### FETCH

    static final byte FETCH

See Also:
  Constant Field Values

### FETCH_NEXT

    static final byte FETCH_NEXT

See Also:
  Constant Field Values

### INSERT

    static final byte INSERT

See Also:
  Constant Field Values

### UPDATE

    static final byte UPDATE

See Also:
  Constant Field Values

### DELETE

    static final byte DELETE

See Also:
  Constant Field Values

### BEGIN

    static final byte BEGIN

See Also:
  Constant Field Values

### COMMIT

    static final byte COMMIT

See Also:
  Constant Field Values

### ROLLBACK

    static final byte ROLLBACK

See Also:
  Constant Field Values

### PRESENT_USER

    static final byte PRESENT_USER

See Also:
  Constant Field Values

### CREATE_USER

    static final byte CREATE_USER

See Also:
  Constant Field Values

### DELETE_USER

    static final byte DELETE_USER

See Also:
  Constant Field Values

### EQUAL_TO

    static final byte EQUAL_TO

See Also:
  Constant Field Values

### LESS_THAN

    static final byte LESS_THAN

See Also:
  Constant Field Values

### GREATER_THAN

    static final byte GREATER_THAN

See Also:
  Constant Field Values

### LESS_THAN_OR_EQUAL_TO

    static final byte LESS_THAN_OR_EQUAL_TO

See Also:
  Constant Field Values

### GREATER_THAN_OR_EQUAL_TO

    static final byte GREATER_THAN_OR_EQUAL_TO

See Also:
  Constant Field Values

### NOT_EQUAL_TO

    static final byte NOT_EQUAL_TO

See Also:
  Constant Field Values

### PRIV_INSERT

    static final byte PRIV_INSERT

See Also:
  Constant Field Values

### PRIV_SELECT

    static final byte PRIV_SELECT

See Also:
  Constant Field Values

### PRIV_UPDATE

    static final byte PRIV_UPDATE

See Also:
  Constant Field Values

### PRIV_DELETE

    static final byte PRIV_DELETE

See Also:
  Constant Field Values

### PRIV_ALL

    static final byte PRIV_ALL

See Also:
  Constant Field Values

### SW1_OK

    static final byte SW1_OK

See Also:
  Constant Field Values

### SW1_OK_WITH_RETURN

    static final byte SW1_OK_WITH_RETURN

See Also:
  Constant Field Values

### SW2_OK

    static final byte SW2_OK

See Also:
  Constant Field Values

### SW1_WARNING

    static final byte SW1_WARNING

See Also:
  Constant Field Values

### SW2_WARNING

    static final byte SW2_WARNING

See Also:
  Constant Field Values

### SW1_EXEC_ERROR

    static final byte SW1_EXEC_ERROR

See Also:
  Constant Field Values

### SW2_EXEC_ERROR

    static final byte SW2_EXEC_ERROR

See Also:
  Constant Field Values

### SW2_MEM_FAILURE

    static final byte SW2_MEM_FAILURE

See Also:
  Constant Field Values

### SW1_CHECK_ERROR

    static final byte SW1_CHECK_ERROR

See Also:
  Constant Field Values

### SW2_CHECK_ERROR

    static final byte SW2_CHECK_ERROR

See Also:
  Constant Field Values

### SW1_COMMAND_NOT_ALLOWED

    static final byte SW1_COMMAND_NOT_ALLOWED

See Also:
  Constant Field Values

### SW2_COMMAND_NOT_ALLOWED

    static final byte SW2_COMMAND_NOT_ALLOWED

See Also:
  Constant Field Values

### SW2_SECURITY

    static final byte SW2_SECURITY

See Also:
  Constant Field Values

### SW2_REQUIRED_OPERATION

    static final byte SW2_REQUIRED_OPERATION

See Also:
  Constant Field Values

### SW1_WRONG_PARAM

    static final byte SW1_WRONG_PARAM

See Also:
  Constant Field Values

### SW2_WRONG_PARAM

    static final byte SW2_WRONG_PARAM

See Also:
  Constant Field Values

### SW2_INCORRECT_PARAM

    static final byte SW2_INCORRECT_PARAM

See Also:
  Constant Field Values

### SW2_OPERATION_NOT_SUPPORTED

    static final byte SW2_OPERATION_NOT_SUPPORTED

See Also:
  Constant Field Values

### SW2_OBJECT_NOT_FOUND

    static final byte SW2_OBJECT_NOT_FOUND

See Also:
  Constant Field Values

### SW2_OBJECT_ALREADY_EXISTS

    static final byte SW2_OBJECT_ALREADY_EXISTS

See Also:
  Constant Field Values

### SW1_WRONG_LENGTH

    static final byte SW1_WRONG_LENGTH

See Also:
  Constant Field Values

### SW1_INSTRUCTION_CODE_NOT_SUPPORTED

    static final byte SW1_INSTRUCTION_CODE_NOT_SUPPORTED

See Also:
  Constant Field Values

### SW2_INSTRUCTION_CODE_NOT_SUPPORTED

    static final byte SW2_INSTRUCTION_CODE_NOT_SUPPORTED

See Also:
  Constant Field Values

### TAG_CH_CERTIFICATE_1

    static final byte TAG_CH_CERTIFICATE_1

See Also:
  Constant Field Values

### TAG_CH_CERTIFICATE_2

    static final byte TAG_CH_CERTIFICATE_2

See Also:
  Constant Field Values

### TAG_CH_NAME_1

    static final byte TAG_CH_NAME_1

See Also:
  Constant Field Values

### TAG_CH_NAME_2

    static final byte TAG_CH_NAME_2

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD